The AccountConsumerDisclosures resource provides methods that allow you to retrieve the consumer disclosures associated with the account.
Methods supported
| Method | Description |
|---|---|
| get | GET /restapi/v2/accounts/{accountId}/consumer_disclosure/{langCode}Gets the Electronic Record and Signature Disclosure. |
| getDefault | GET /restapi/v2/accounts/{accountId}/consumer_disclosureGets the Electronic Record and Signature Disclosure for the account. |
| update | PUT /restapi/v2/accounts/{accountId}/consumer_disclosure/{langCode}Update Consumer Disclosure. |
AccountConsumerDisclosures properties
| Property | Type | Description |
|---|---|---|
accountEsignId | string | A GUID identifying the account associated with the consumer disclosure |
allowCDWithdraw | string | Indicates whether the customer can withdraw their acceptance of the consumer disclosure. |
allowCDWithdrawMetadata | settingsMetadata | |
changeEmail | string | |
changeEmailOther | string | |
companyName | string | The name of the company associated with the consumer disclosure. |
companyPhone | string | The phone number of the company associated with the consumer disclosure. |
copyCostPerPage | string | |
copyFeeCollectionMethod | string | Specifies the fee collection method for cases in which the customer requires paper copies of the document. Maximum Length: 255 characters |
copyRequestEmail | string | |
custom | string | |
enableEsign | string | |
esignAgreement | string | The Electronic Record and Signature Disclosure text. The disclosure text includes the html formatting. |
esignText | string | |
languageCode | string | |
mustAgreeToEsign | string | |
pdfId | string | Deprecated The pdfId property in the consumer_disclosure PUT request is deprecated. For security reasons going forward, any value provided in the request packet must be ignored. |
useBrand | string | |
useConsumerDisclosureWithinAccount | string | |
useConsumerDisclosureWithinAccountMetadata | settingsMetadata | |
withdrawAddressLine1 | string | Contains the first address line of the postal address to which a customer can send a consent withdrawal notification. Maximum length: 100 characters. |
withdrawAddressLine2 | string | Contains the second address line of the postal address to which a customer can send a consent withdrawal notification. Maximum length: 100 characters. |
withdrawByEmail | string | Indicates whether the customer can withdraw consent by email. |
withdrawByMail | string | Indicates whether the customer can withdraw consent by postal mail. |
withdrawByPhone | string | Indicates whether the customer can withdraw consent by phone. |
withdrawCity | string | Contains the city of the postal address to which a customer can send a consent withdrawal notification. Maximum length: 50 characters. |
withdrawConsequences | string | Indicates the consequences of withdrawing consent. |
withdrawEmail | string | Contains the email address to which a customer can send a consent withdrawal notification. Maximum length: 100 characters. |
withdrawOther | string | Indicates other information need to withdraw consent. Maximum length: 255 characters. |
withdrawPhone | string | Contains the phone number which a customer can call to register consent withdrawal notification. Maximum length: 20 characters. |
withdrawPostalCode | string | Contains the postal code of the postal address to which a customer can send a consent withdrawal notification. Maximum length: 20 characters. |
withdrawState | string | Contains the state of the postal address to which a customer can send a consent withdrawal notification. |